// webpack.config.js
module.exports = [
	{
		mode: 'development',
		entry: './src/web/main.ts',
		devtool: "inline-source-map",
		module: {
			rules: [{
				test: /\.ts$/,
				include: /src/,
				use: [{ loader: 'ts-loader' }]
			}]
		},
		resolve: {
			extensions: [".tsx", ".ts", ".js"],
		},
		output: {
			path: __dirname + '/dist',
			filename: 'photobox.js'
		}
	}
];